package com.example.iot_controlhost.receiver;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;

import com.example.iot_controlhost.utils.timer.ThemeTaskUtil;
import com.example.iot_controlhost.utils.database.LogDBManager;
import com.example.iot_controlhost.utils.log.MyLog;
import com.example.iot_controlhost.utils.timer.TimerTaskUtil;
import com.example.iot_controlhost.utils.timer.UVTaskUtil;

/**
 * 每日计划
 * 适用于每天都需要重新设置的计划重设
 * 每天凌晨00:30启动
 */
public class TimerReceiver extends BroadcastReceiver {
    /**
     * 每日定时
     */
    public static final String DAILY_TIMER = "DAILY_TIMER";

    public void onReceive(Context context, Intent intent) {
        MyLog.auto("凌晨定时维护：更新每日计划——自动切换亮暗色调");
        ThemeTaskUtil.resetTask();
        MyLog.auto("凌晨定时维护：更新每日计划——消毒灯自动任务");
        UVTaskUtil.restartTask();
        MyLog.auto("凌晨定时维护：清理十五天前的日志");
        LogDBManager.clearExpiredLogsAsync();
        // 初始化每日定时任务
        TimerTaskUtil.start();
    }
}
